Create new MDM user account
Required Permission: mdm.global.mdmUser.create
Create new device management user account with contact information, tags, and language preferences for enrollment and device assignments.
Request
authorization
Authorization: Bearer <token>
application/json
{
"email": "[email protected]",
"name": "string",
"managedAppleId": "[email protected]",
"tags": [
"string"
],
"language": "es",
"metadata": {}
}
Responses
application/json
{
"status": true,
"data": {
"id": "string",
"email": "[email protected]",
"name": "string",
"tags": [
"string"
],
"android": {
"devices": {
"MANAGEMENT_MODE_UNSPECIFIED": 0,
"DEVICE_OWNER": 0,
"PROFILE_OWNER": 0
},
"enrollmentTokens": {
"DONE": 0,
"PENDING": 0,
"EXPIRED": 0,
"DELETED": 0
}
},
"apple": {
"devices": 0,
"enrollmentTokens": 0
},
"windows": {
"devices": 0,
"enrollmentTokens": 0
},
"language": "es",
"managedAppleId": "[email protected]",
"metadata": {},
"inferredSegmentIds": [
0
],
"createdAt": "string",
"updatedAt": "string"
}
}
application/json
{
"status": false,
"error": {
"code": 5048,
"message": "Mdm user already exists"
}
}
application/json
{
"status": false,
"error": {
"code": 4002,
"message": "No auth token"
}
}
application/json
{
"status": false,
"error": {
"code": 3001,
"message": "Entity not found"
}
}